Page MenuHomePhabricator

[Bug] Simple search suggestions box appears over Wikidata suggestions if search box is selected early
Closed, ResolvedPublic

Description

If the user quickly clicks on the search box while some stuff is still loading/running, the "normal" search suggestions box (that is, the suggestions box that appears on other wikis) will appear over the special Wikidata search suggestions box as the user is typing. In most situations, the box will have just the "containing..." bit, unless the user inputs "Q" or some such. The Wikidata suggestions box has a z-index of 1, lower than the normal box which has a z-index of 1099, so the top suggestions are covered.

This makes the first and most important search result inaccessible.

Workaround: ...

Event Timeline

Yair_rand raised the priority of this task from to Needs Triage.
Yair_rand updated the task description. (Show Details)
Yair_rand added a project: Wikidata.
Yair_rand added a subscriber: Yair_rand.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 24 2015, 10:46 AM
Lydia_Pintscher triaged this task as Low priority.Dec 18 2015, 10:25 AM

Any status on this? Hugh annoyance.

hoo added a subscriber: hoo.Sep 2 2016, 1:18 PM
thiemowmde renamed this task from Simple search suggestions box appears over Wikidata suggestions if search box is selected early to [Bug] Simple search suggestions box appears over Wikidata suggestions if search box is selected early.Sep 2 2016, 1:44 PM
thiemowmde raised the priority of this task from Low to High.
Lydia_Pintscher lowered the priority of this task from High to Low.Sep 11 2016, 3:13 PM
Krinkle added a project: Regression.
Krinkle updated the task description. (Show Details)

I run into this almost every time. The stable load point is somewhere around 2 seconds after the page has finished loading.

I don't see how it can be considered uncommon or low priority to start searching within 2 seconds of page load. I can only imagine that searching something on Wikidata is the most common user intent from readers viewing the wikidata.org main page.

Just as annoying as the "Data updated 45 seconds ago" overlay when trying to get to the download link on WQS.

Esc3300 updated the task description. (Show Details)
thiemowmde raised the priority of this task from Low to High.Sep 21 2016, 1:18 PM

@Esc3300, please make sure there is a ticket for this overlay problem. Please create one if you can't fine one.

Wait, why was this reset to "low"?

Change 312279 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix duplicate search suggestions appearing when focusing to fast

https://gerrit.wikimedia.org/r/312279

thiemowmde moved this task from Proposed to Review on the Wikidata-Sprint-2016-09-21 board.

Change 312279 merged by jenkins-bot:
Fix duplicate search suggestions appearing when focusing to fast

https://gerrit.wikimedia.org/r/312279

hoo closed this task as Resolved.Sep 26 2016, 12:30 AM
hoo removed a project: Patch-For-Review.
hoo moved this task from Review to Done on the Wikidata-Sprint-2016-09-21 board.